---
title: VRLayerInit.source
slug: Web/API/VRLayerInit/source
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRLayerInit
  - Virtual Reality
  - WebVR
  - source
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>source</strong></code> property of the {{domxref("VRLayerInit")}} interface (dictionary) defines the canvas whose contents will be presented by the {{domxref("VRDisplay")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myVRLayerInit = { };
myVRLayerInit.source = myCanvas;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCanvasElement")}} or {{domxref("OffscreenCanvas")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRLayerInit", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrlayerinit-source', 'source')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRLayerInit.source")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
